<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_SitemapController extends Core_Controller_Action_Standard
{
  public function init()
  {
    $this->_helper->contextSwitch->addActionContext('index', 'xml')->initContext();
  }
  
  public function indexAction()
  {
    $this->view->navigation = $navigation = Engine_Api::_()->getApi('menus', 'core')
      ->getNavigation('core_sitemap');
  }
}
